# linux
SYSCONFDIR=	/etc
SBINDIR=	/usr/sbin
LIBDIR=		/usr/lib
LIBEXECDIR=	/lib/dhcpcd
DBDIR=		/var/lib/dhcpcd
RUNDIR=		/var/run
LIBDIR=		/usr/lib
MANDIR=		/usr/share/man
DHCPCD_SRCS+=	dhcpcd-embedded.c
CPPFLAGS+=	-D_BSD_SOURCE -D_XOPEN_SOURCE=700
CPPFLAGS+=	-D_DEFAULT_SOURCE
DHCPCD_SRCS+=	if-linux.c
CPPFLAGS+=	-DINET
DHCPCD_SRCS+=	arp.c dhcp.c ipv4.c ipv4ll.c
CPPFLAGS+=	-DINET6
DHCPCD_SRCS+=	ipv6.c ipv6nd.c dhcp6.c
DHCPCD_SRCS+=	if-linux-wext.c
LDADD+=		-lrt
COMPAT_SRCS+=	compat/arc4random.c
COMPAT_SRCS+=	compat/arc4random_uniform.c
COMPAT_SRCS+=	compat/closefrom.c
COMPAT_SRCS+=	compat/strlcpy.c
MD5_SRC=	crypt/md5.c
SHA256_SRC=	crypt/sha256.c
DEV_PLUGINS+=	udev
LIBUDEV_CFLAGS=		 
LIBUDEV_LIBS=	-ludev  
LIBUDEV_CPPFLAGS+=	-DLIBUDEV_NOINIT
DHCPCD_SRCS+=	dev.c
CPPFLAGS+=	-DPLUGIN_DEV
MKDIRS+=	dev
LDADD+=		-ldl
SERVICEEXISTS=	
SERVICECMD=	
SERVICESTATUS=	
HOOKSCRIPTS=	
